package com.sun.corba.se.impl.orb;

import com.sun.corba.se.spi.presentation.rmi.PresentationDefaults;
import com.sun.corba.se.spi.copyobject.CopierManager;
import com.sun.corba.se.spi.orbutil.threadpool.ThreadPoolManager;
import com.sun.corba.se.pept.transport.Selector;
import com.sun.corba.se.impl.oa.poa.BadServerIdHandler;
import com.sun.corba.se.spi.resolver.LocalResolver;
import com.sun.corba.se.spi.resolver.Resolver;
import com.sun.corba.se.pept.transport.ConnectionCache;
import com.sun.corba.se.pept.transport.ContactInfo;
import com.sun.corba.se.pept.protocol.ClientInvocationInfo;
import com.sun.corba.se.spi.oa.OAInvocationInfo;
import com.sun.corba.se.spi.ior.ObjectKey;
import com.sun.corba.se.spi.ior.ObjectKeyFactory;
import com.sun.corba.se.spi.ior.IdentifiableFactoryFinder;
import com.sun.corba.se.spi.ior.TaggedComponentFactoryFinder;
import com.sun.corba.se.spi.protocol.CorbaServerRequestDispatcher;
import com.sun.corba.se.spi.orb.Operation;
import com.sun.corba.se.spi.transport.CorbaContactInfoListFactory;
import com.sun.corba.se.spi.protocol.ClientDelegateFactory;
import com.sun.corba.se.spi.orb.ORBData;
import com.sun.corba.se.spi.orbutil.closure.Closure;
import com.sun.corba.se.spi.protocol.PIHandler;
import com.sun.corba.se.spi.legacy.connection.LegacyServerSocketEndPointInfo;
import org.omg.CORBA.PolicyError;
import org.omg.CORBA.NO_IMPLEMENT;
import org.omg.CORBA.Policy;
import com.sun.corba.se.spi.ior.IOR;
import com.sun.corba.se.spi.ior.iiop.GIOPVersion;
import java.net.URL;
import com.sun.corba.se.spi.orb.ORBVersionFactory;
import com.sun.corba.se.spi.orb.ORBVersion;
import com.sun.corba.se.impl.encoding.CodeSetComponentInfo;
import com.sun.corba.se.spi.servicecontext.ServiceContextRegistry;
import com.sun.corba.se.spi.protocol.RequestDispatcherRegistry;
import com.sun.corba.se.spi.legacy.connection.LegacyServerSocketManager;
import com.sun.corba.se.spi.transport.CorbaTransportManager;
import com.sun.corba.se.pept.transport.TransportManager;
import org.omg.CORBA.portable.ValueFactory;
import java.rmi.RemoteException;
import java.rmi.Remote;
import org.omg.CORBA.Request;
import org.omg.CORBA.ORBPackage.InvalidName;
import org.omg.CORBA.Current;
import com.sun.corba.se.impl.corba.EnvironmentImpl;
import org.omg.CORBA.Environment;
import org.omg.CORBA.Context;
import com.sun.corba.se.impl.corba.ContextListImpl;
import org.omg.CORBA.ContextList;
import com.sun.corba.se.impl.corba.ExceptionListImpl;
import org.omg.CORBA.ExceptionList;
import com.sun.corba.se.impl.corba.NamedValueImpl;
import org.omg.CORBA.NamedValue;
import org.omg.CORBA.Object;
import com.sun.corba.se.impl.corba.NVListImpl;
import org.omg.CORBA.NVList;
import com.sun.corba.se.impl.corba.AnyImpl;
import org.omg.CORBA.Any;
import org.omg.CORBA.TCKind;
import org.omg.CORBA.ValueMember;
import org.omg.CORBA.UnionMember;
import com.sun.corba.se.impl.corba.TypeCodeImpl;
import org.omg.CORBA.TypeCode;
import org.omg.CORBA.StructMember;
import sun.corba.OutputStreamFactory;
import org.omg.CORBA.portable.OutputStream;
import java.applet.Applet;
import java.util.Properties;
import com.sun.corba.se.spi.presentation.rmi.PresentationManager;
import com.sun.corba.se.spi.orb.ORB;

public class ORBSingleton extends ORB
{
    private ORB fullORB;
    private static PresentationManager.StubFactoryFactory staticStubFactoryFactory;
    
    public ORBSingleton() {
    }
    
    public void set_parameters(Properties properties) {
    }
    
    protected void set_parameters(Applet applet, Properties properties) {
    }
    
    protected void set_parameters(String[] array, Properties properties) {
    }
    
    public OutputStream create_output_stream() {
        return OutputStreamFactory.newEncapsOutputStream(this);
    }
    
    public TypeCode create_struct_tc(String s, String s2, StructMember[] array) {
        return new TypeCodeImpl(this, 15, s, s2, array);
    }
    
    public TypeCode create_union_tc(String s, String s2, TypeCode typeCode, UnionMember[] array) {
        return new TypeCodeImpl(this, 16, s, s2, typeCode, array);
    }
    
    public TypeCode create_enum_tc(String s, String s2, String[] array) {
        return new TypeCodeImpl(this, 17, s, s2, array);
    }
    
    public TypeCode create_alias_tc(String s, String s2, TypeCode typeCode) {
        return new TypeCodeImpl(this, 21, s, s2, typeCode);
    }
    
    public TypeCode create_exception_tc(String s, String s2, StructMember[] array) {
        return new TypeCodeImpl(this, 22, s, s2, array);
    }
    
    public TypeCode create_interface_tc(String s, String s2) {
        return new TypeCodeImpl(this, 14, s, s2);
    }
    
    public TypeCode create_string_tc(int n) {
        return new TypeCodeImpl(this, 18, n);
    }
    
    public TypeCode create_wstring_tc(int n) {
        return new TypeCodeImpl(this, 27, n);
    }
    
    public TypeCode create_sequence_tc(int n, TypeCode typeCode) {
        return new TypeCodeImpl(this, 19, n, typeCode);
    }
    
    public TypeCode create_recursive_sequence_tc(int n, int n2) {
        return new TypeCodeImpl(this, 19, n, n2);
    }
    
    public TypeCode create_array_tc(int n, TypeCode typeCode) {
        return new TypeCodeImpl(this, 20, n, typeCode);
    }
    
    public TypeCode create_native_tc(String s, String s2) {
        return new TypeCodeImpl(this, 31, s, s2);
    }
    
    public TypeCode create_abstract_interface_tc(String s, String s2) {
        return new TypeCodeImpl(this, 32, s, s2);
    }
    
    public TypeCode create_fixed_tc(short n, short n2) {
        return new TypeCodeImpl(this, 28, n, n2);
    }
    
    public TypeCode create_value_tc(String s, String s2, short n, TypeCode typeCode, ValueMember[] array) {
        return new TypeCodeImpl(this, 29, s, s2, n, typeCode, array);
    }
    
    public TypeCode create_recursive_tc(String s) {
        return new TypeCodeImpl(this, s);
    }
    
    public TypeCode create_value_box_tc(String s, String s2, TypeCode typeCode) {
        return new TypeCodeImpl(this, 30, s, s2, typeCode);
    }
    
    public TypeCode get_primitive_tc(TCKind tcKind) {
        return this.get_primitive_tc(tcKind.value());
    }
    
    public Any create_any() {
        return new AnyImpl(this);
    }
    
    public NVList create_list(int n) {
        return new NVListImpl(this, n);
    }
    
    public NVList create_operation_list(Object object) {
        throw this.wrapper.genericNoImpl();
    }
    
    public NamedValue create_named_value(String s, Any any, int n) {
        return new NamedValueImpl(this, s, any, n);
    }
    
    public ExceptionList create_exception_list() {
        return new ExceptionListImpl();
    }
    
    public ContextList create_context_list() {
        return new ContextListImpl(this);
    }
    
    public Context get_default_context() {
        throw this.wrapper.genericNoImpl();
    }
    
    public Environment create_environment() {
        return new EnvironmentImpl();
    }
    
    public Current get_current() {
        throw this.wrapper.genericNoImpl();
    }
    
    public String[] list_initial_services() {
        throw this.wrapper.genericNoImpl();
    }
    
    public Object resolve_initial_references(String s) throws InvalidName {
        throw this.wrapper.genericNoImpl();
    }
    
    public void register_initial_reference(String s, Object object) throws InvalidName {
        throw this.wrapper.genericNoImpl();
    }
    
    public void send_multiple_requests_oneway(Request[] array) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void send_multiple_requests_deferred(Request[] array) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public boolean poll_next_response() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public Request get_next_response() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public String object_to_string(Object object) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public Object string_to_object(String s) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public Remote string_to_remote(String s) throws RemoteException {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void connect(Object object) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void disconnect(Object object) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void run() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void shutdown(boolean b) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    protected void shutdownServants(boolean b) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    protected void destroyConnections() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void destroy() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public boolean work_pending() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void perform_work() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public ValueFactory register_value_factory(String s, ValueFactory valueFactory) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void unregister_value_factory(String s) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public ValueFactory lookup_value_factory(String s) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public TransportManager getTransportManager() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public CorbaTransportManager getCorbaTransportManager() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public LegacyServerSocketManager getLegacyServerSocketManager() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    private synchronized ORB getFullORB() {
        if (this.fullORB == null) {
            (this.fullORB = new ORBImpl()).set_parameters(new Properties());
        }
        return this.fullORB;
    }
    
    public RequestDispatcherRegistry getRequestDispatcherRegistry() {
        return this.getFullORB().getRequestDispatcherRegistry();
    }
    
    public ServiceContextRegistry getServiceContextRegistry() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getTransientServerId() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getORBInitialPort() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public String getORBInitialHost() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public String getORBServerHost() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getORBServerPort() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public CodeSetComponentInfo getCodeSetComponentInfo() {
        return new CodeSetComponentInfo();
    }
    
    public boolean isLocalHost(String s) {
        return false;
    }
    
    public boolean isLocalServerId(int n, int n2) {
        return false;
    }
    
    public ORBVersion getORBVersion() {
        return ORBVersionFactory.getORBVersion();
    }
    
    public void setORBVersion(ORBVersion orbVersion) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public String getAppletHost() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public URL getAppletCodeBase() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getHighWaterMark() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getLowWaterMark() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getNumberToReclaim() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public int getGIOPFragmentSize() {
        return 1024;
    }
    
    public int getGIOPBuffMgrStrategy(GIOPVersion giopVersion) {
        return 0;
    }
    
    public IOR getFVDCodeBaseIOR() {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public Policy create_policy(int n, Any any) throws PolicyError {
        throw new NO_IMPLEMENT();
    }
    
    public LegacyServerSocketEndPointInfo getServerEndpoint() {
        return null;
    }
    
    public void setPersistentServerId(int n) {
    }
    
    public TypeCodeImpl getTypeCodeForClass(Class clazz) {
        return null;
    }
    
    public void setTypeCodeForClass(Class clazz, TypeCodeImpl typeCodeImpl) {
    }
    
    public boolean alwaysSendCodeSetServiceContext() {
        return true;
    }
    
    public boolean isDuringDispatch() {
        return false;
    }
    
    public void notifyORB() {
    }
    
    public PIHandler getPIHandler() {
        return null;
    }
    
    public void checkShutdownState() {
    }
    
    public void startingDispatch() {
    }
    
    public void finishedDispatch() {
    }
    
    public void registerInitialReference(String s, Closure closure) {
    }
    
    public ORBData getORBData() {
        return this.getFullORB().getORBData();
    }
    
    public void setClientDelegateFactory(ClientDelegateFactory clientDelegateFactory) {
    }
    
    public ClientDelegateFactory getClientDelegateFactory() {
        return this.getFullORB().getClientDelegateFactory();
    }
    
    public void setCorbaContactInfoListFactory(CorbaContactInfoListFactory corbaContactInfoListFactory) {
    }
    
    public CorbaContactInfoListFactory getCorbaContactInfoListFactory() {
        return this.getFullORB().getCorbaContactInfoListFactory();
    }
    
    public Operation getURLOperation() {
        return null;
    }
    
    public void setINSDelegate(CorbaServerRequestDispatcher corbaServerRequestDispatcher) {
    }
    
    public TaggedComponentFactoryFinder getTaggedComponentFactoryFinder() {
        return this.getFullORB().getTaggedComponentFactoryFinder();
    }
    
    public IdentifiableFactoryFinder getTaggedProfileFactoryFinder() {
        return this.getFullORB().getTaggedProfileFactoryFinder();
    }
    
    public IdentifiableFactoryFinder getTaggedProfileTemplateFactoryFinder() {
        return this.getFullORB().getTaggedProfileTemplateFactoryFinder();
    }
    
    public ObjectKeyFactory getObjectKeyFactory() {
        return this.getFullORB().getObjectKeyFactory();
    }
    
    public void setObjectKeyFactory(ObjectKeyFactory objectKeyFactory) {
        throw new SecurityException("ORBSingleton: access denied");
    }
    
    public void handleBadServerId(ObjectKey objectKey) {
    }
    
    public OAInvocationInfo peekInvocationInfo() {
        return null;
    }
    
    public void pushInvocationInfo(OAInvocationInfo oaInvocationInfo) {
    }
    
    public OAInvocationInfo popInvocationInfo() {
        return null;
    }
    
    public ClientInvocationInfo createOrIncrementInvocationInfo() {
        return null;
    }
    
    public void releaseOrDecrementInvocationInfo() {
    }
    
    public ClientInvocationInfo getInvocationInfo() {
        return null;
    }
    
    public ConnectionCache getConnectionCache(ContactInfo contactInfo) {
        return null;
    }
    
    public void setResolver(Resolver resolver) {
    }
    
    public Resolver getResolver() {
        return null;
    }
    
    public void setLocalResolver(LocalResolver localResolver) {
    }
    
    public LocalResolver getLocalResolver() {
        return null;
    }
    
    public void setURLOperation(Operation operation) {
    }
    
    public void setBadServerIdHandler(BadServerIdHandler badServerIdHandler) {
    }
    
    public void initBadServerIdHandler() {
    }
    
    public Selector getSelector(int n) {
        return null;
    }
    
    public void setThreadPoolManager(ThreadPoolManager threadPoolManager) {
    }
    
    public ThreadPoolManager getThreadPoolManager() {
        return null;
    }
    
    public CopierManager getCopierManager() {
        return null;
    }
    
    public void validateIORClass(String s) {
        this.getFullORB().validateIORClass(s);
    }
    
    static {
        ORBSingleton.staticStubFactoryFactory = PresentationDefaults.getStaticStubFactoryFactory();
    }
}
